Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.wms.control
Class AddLayerListener

    java.lang.Object
      org.deegree.enterprise.control.ajax.AbstractListener
          org.deegree.portal.standard.wms.control.AddLayerListener

    public class AddLayerListener

extends AbstractListener

TODO add class documentation here

Version:
  $Revision: 25795 $, $Date: 2010-08-10 12:00:31 +0200 (Di, 10. Aug 2010) $
Author:
  Andreas Poth, last edited by: $Author: jmays $

Field Summary

Fields inherited from class org.deegree.enterprise.control.ajax.AbstractListener
`timeout`

Constructor Summary
`AddLayerListener()`

Method Summary
`void` | `actionPerformed(WebEvent event, ResponseHandler responseHandler)` structure of incoming data: {action=addLayer, layerGroup={bgColor=0xFFFFFF, transparency=true, id=deegree wms, serviceURL=http:*demo.deegree.org/deegree-wms/services, format=image/gif, serviceType=OGC:WMS 1.1.1, serviceName=deegree wms, layers=[{dsResource=null, visible=false, wmsName=deegree wms,dsGeomType=null, changed=true, styleName=default, title=Energy Resources, selected=false, metadataURL=, minScale=0.0, name=EnergyResources, legendURL=null, dsFeatureType=null, maxScale=1000000.0, sldRef=null, queryable=true}, {dsResource=null, visible=false, wmsName=deegree wms, dsGeomType=null, changed=true, styleName=default, title=Airports of Utah, selected=false, metadataURL=, minScale=0.0, name=Airports, legendURL=null, dsFeatureType=null, maxScale=1000000.0, sldRef=null, queryable=true}]} }

Methods inherited from class org.deegree.enterprise.control.ajax.AbstractListener
`getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddLayerListener

    public AddLayerListener()

Method Detail

### actionPerformed

    public void actionPerformed(WebEvent event,
                                ResponseHandler responseHandler)
                         throws IOException

  structure of incoming data:

  {action=addLayer, layerGroup={bgColor=0xFFFFFF, transparency=true, id=deegree wms, serviceURL=http:*demo.deegree.org/deegree-wms/services, format=image/gif, serviceType=OGC:WMS 1.1.1, serviceName=deegree wms, layers=[{dsResource=null, visible=false, wmsName=deegree wms,dsGeomType=null, changed=true, styleName=default, title=Energy Resources, selected=false, metadataURL=, minScale=0.0, name=EnergyResources, legendURL=null, dsFeatureType=null, maxScale=1000000.0, sldRef=null, queryable=true}, {dsResource=null, visible=false, wmsName=deegree wms, dsGeomType=null, changed=true, styleName=default, title=Airports of Utah, selected=false, metadataURL=, minScale=0.0, name=Airports, legendURL=null, dsFeatureType=null, maxScale=1000000.0, sldRef=null, queryable=true}]} }

  Specified by:
    `actionPerformed` in class `AbstractListener`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org